Summary: A clone of the Mirabilis ICQ online messaging program.
Name: micq 
Version: 0.4.6.p1
Release: 1
Group: Applications/Internet
Copyright: Freely distributable
Source: http://micq.ukeer.de/source/micq-%{version}.tgz
Patch0: Makefile.patch
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root

%description
Micq is a clone of the Mirabilis ICQ online messaging/conferencing
program.

%prep
%setup -q -n %{name}-0.4.6-p1
%patch0 -p1

%build
pushd src
make 
popd

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
install -m0755 src/micq %{buildroot}%{_bindir}
install -m0644 micq.1 %{buildroot}%{_mandir}/man1

%files
%defattr(-,root,root)
%doc README commands.txt
%{_bindir}/micq
%{_mandir}/*/*

%clean
rm -rf %{buildroot}

%changelog
* Thu Jan 25 2001 Tim Powers <timp@redhat.com>
- updated to 0.4.6.p1, it fixes the security hole as well, so the
  patch included earlier is not needed

* Wed Jan 24 2001 Tim Powers <timp@redhat.com>
- built for Red Hat Linux 7

* Wed Jan 24 2001 Tim Powers <timp@redhat.com>
- patched with patch from Seva Gluschenko <gvs@RINET.RU> to fix string
  format bugs, and buffer overflow bugs
- built for Red Hat Linux 6.x

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue May 16 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0 

* Wed Dec 15 1999 Tim Powers <timp@redhat.com>
- updated to 0.4.3

* Wed Apr 21 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

